FLTK: Fl_Help_Dialog Class Reference

FLTK

Public Member Functions | List of all members
Fl_Help_Dialog Class Reference

## Public Member Functions
| Fl_Help_Dialog ()
int | h ()
void | hide ()
void | load (const char *f)
void | position (int xx, int yy)
void | resize (int xx, int yy, int ww, int hh)
void | show ()
void | show (int argc, char **argv)
Fl_Fontsize | textsize ()
void | textsize (Fl_Fontsize s)
void | topline (const char *n)
void | topline (int n)
const char * | value () const
void | value (const char *f)
int | visible ()
int | w ()
int | x ()
int | y ()
| ~Fl_Help_Dialog ()

## Detailed Description

The Fl_Help_Dialog widget displays a standard help dialog window using the Fl_Help_View widget.

## Constructor & Destructor Documentation

## ◆ Fl_Help_Dialog()

Fl_Help_Dialog::Fl_Help_Dialog | ( |  | ) |

The constructor creates the dialog pictured above.

## ◆ ~Fl_Help_Dialog()

Fl_Help_Dialog::~Fl_Help_Dialog | ( |  | ) |

The destructor destroys the widget and frees all memory that has been allocated for the current file.

## Member Function Documentation

## ◆ h()

int Fl_Help_Dialog::h | ( |  | ) |

Returns the position and size of the help dialog.

## ◆ hide()

void Fl_Help_Dialog::hide | ( |  | ) |

Hides the Fl_Help_Dialog window.

## ◆ load()

void Fl_Help_Dialog::load | ( | const char * | f | ) |

Loads the specified HTML file into the Fl_Help_View widget. The filename can also contain a target name ("filename.html#target").

## ◆ position()

void Fl_Help_Dialog::position | ( | int | x,
|  | int | y
| ) |  |

Set the screen position of the dialog.

## ◆ resize()

void Fl_Help_Dialog::resize | ( | int | xx,
|  | int | yy,
|  | int | ww,
|  | int | hh
| ) |  |

Change the position and size of the dialog.

## ◆ show() [1/2]

void Fl_Help_Dialog::show | ( |  | ) |

Shows the Fl_Help_Dialog window.

Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show() method

## ◆ show() [2/2]

void Fl_Help_Dialog::show | ( | int | argc,
|  | char ** | argv
| ) |  |

Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show(int argc, char **argv) instance method

## ◆ textsize() [1/2]

uchar Fl_Help_Dialog::textsize | ( |  | ) |

Sets or gets the default text size for the help view.

## ◆ textsize() [2/2]

void Fl_Help_Dialog::textsize | ( | Fl_Fontsize | s | ) |

Sets or gets the default text size for the help view.

Sets the internal Fl_Help_View instance text size. Delegates call to encapsulated view_ void Fl_Help_View::textsize(Fl_Fontsize s) instance method

## ◆ topline() [1/2]

void Fl_Help_Dialog::topline | ( | const char * | n | ) |

Sets the top line in the Fl_Help_View widget to the named or numbered line.

## ◆ topline() [2/2]

void Fl_Help_Dialog::topline | ( | int | n | ) |

Sets the top line in the Fl_Help_View widget to the named or numbered line.

## ◆ value() [1/2]

const char * Fl_Help_Dialog::value | ( |  | ) | const

The first form sets the current buffer to the string provided and reformats the text. It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

## ◆ value() [2/2]

void Fl_Help_Dialog::value | ( | const char * | v | ) |

The first form sets the current buffer to the string provided and reformats the text. It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

## ◆ visible()

int Fl_Help_Dialog::visible | ( |  | ) |

Returns 1 if the Fl_Help_Dialog window is visible.

## ◆ w()

int Fl_Help_Dialog::w | ( |  | ) |

Returns the position and size of the help dialog.

## ◆ x()

int Fl_Help_Dialog::x | ( |  | ) |

Returns the position and size of the help dialog.

## ◆ y()

int Fl_Help_Dialog::y | ( |  | ) |

Returns the position and size of the help dialog.

The documentation for this class was generated from the following files:

- Fl_Help_Dialog.H
- Fl_Help_Dialog.cxx
- Fl_Help_Dialog_Dox.cxx

- © 1998-2016 by Bill Spitzak and others.